
Core - Bug # 53537

Epic # 47018 (Resolved): Implement Composer support and clean package manager API

Status: Closed Priority: Should have
Author: Frank Gerards Category: Extension Manager
Created: 2013-11-11 Assigned To:
Updated: 2014-06-10 Due date:
TYPO3 Version: 6.2
PHP Version: 5.5
Complexity:
Is Regression: No
Sprint Focus:
Subject: PackageFactory class not found while running install-tool in 6.2
Description

Hi,

building on a normal typo3temp dir I come to the point :
TYPO3\CMS\Core\Package\PackageFactory' not found in /share/anahata/typo3/sysext/core/Classes/Package/PackageManager.php
on line 100

Looks like some namespacing is wrong ?
I'm testing migration from TYPO3 6.1.5 to 6.2 - nothing special in setup/extensions etc.

History
#1 - 2014-01-31 17:10 - Thomas Maroschik
- Category changed from Install Tool to Extension Manager
- Status changed from New to Needs Feedback
- Assigned To set to Thomas Maroschik

Hello Frank,

thank you for reporting that issue. There happened much patchwork in the last months.

Could you please try if this error still occurs on current master?

Thanks!

#2 - 2014-02-12 09:55 - Ernesto Baschny
- Parent task set to #47018

#3 - 2014-06-10 11:47 - Alexander Opitz
- Status changed from Needs Feedback to Closed
- Assigned To deleted (Thomas Maroschik)
- Target version deleted (next-patchlevel)

No feedback within the last 90 days => closing this ticket.
If you think that this is the wrong decision or experience this issue again, then please write to the mailing list typo3.teams.bugs with issue number and
an explanation or open a new ticket and add a relation to this ticket number.
